Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Xrefs binden und exportieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Xrefs binden und exportieren (131 mal gelesen)
Harry Plotter
Mitglied



Sehen Sie sich das Profil von Harry Plotter an!   Senden Sie eine Private Message an Harry Plotter  Schreiben Sie einen Gästebucheintrag für Harry Plotter

Beiträge: 505
Registriert: 12.12.2003

Windows 8 64bit
Architecture 2019

erstellt am: 05. Dez. 2018 08:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen,
ich habe mir über die Jahre mit eurer Hilfe folgenden Code zusammengebaut.
Dabei soll die Datei schreibgeschützt geöffnet werden, die Xrefs gebunden, die Datei bereinigt und im Format 2018 exportiert werden.
Leider funktioniert er nicht mehr in ACAD 2019. Er bleibt bei "bindtype" nil hängen.
Vielleicht kann mal ein Profi einen Blick drauf werfen.
Vorerst vielen Dank


Code:
(defun *error*(msg)
(setvar "modemacro" ".")
(setvar "bindtype" oldBnType)
(setvar "cmdecho" 1)
(princ "\Xrefs Loesen/Pruefen/Binden/Bereinigen abgebrochen  ")
(princ)
); end of *error*


(defun c:A2A-2018 ()
(command "modell")
(vl-load-com)
(if(=(vla-get-readonly(vla-get-activedocument(vlax-get-acad-object))):vlax-true)
  (A2A)
  (alert "ABBRUCH - Achtung Zeichnung schreibgeschützt öffnen")
)
); end of c:A2A-2018

(defun A2A-2018 ( / oldBnType) 
(setq oldBnType(getvar "bindtype"))
(setvar "modemacro" "Xrefs Loesen/Pruefen/Binden/Bereinigen in Arbeit......bitte warten......")
(prompt "\Xrefs Loesen, Pruefen, Binden, Bereinigen---")
(prompt "\nDetaching...")
(vlax-for block (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
(if (and (= :vlax-true (vla-get-isxref block))
        (= 0 (vla-get-count block))
    )
    (vla-detach block)
        )
)
(setvar "cmdecho" 0)
(prompt "...done")
(prompt "\Pruefen...");(terpri)
(command "_audit" "j")
(prompt "\alle Xrefs binden...")
(setvar "bindtype" 1)
(command "-xref" "b" "*")
(prompt "...fertig");(terpri)
(prompt "\Bereinigen #1");(terpri)
(command "_-purge" "al" "*" "N")
(prompt "\Bereinigen #2");(terpri)
(command "_-purge" "al" "*" "N")
(prompt "\Bereinigen #3");(terpri)
(command "_-purge" "al" "*" "N")
(command "_AecExportToAutoCAD2018")
(prompt "\Operation erfolgreich fertiggestellt!---")
(setvar "modemacro" ".")
(setvar "cmdecho" 1)
(princ)
); end of A2A-2018


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1859
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 05. Dez. 2018 09:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Harry Plotter 10 Unities + Antwort hilfreich

Das sich die Commandaufrufe teilweise von command zu command-s geändert haben, hast du aber schon mitbekommen?
Check das mal

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

-ikarus-
Mitglied
Zeichner


Sehen Sie sich das Profil von -ikarus- an!   Senden Sie eine Private Message an -ikarus-  Schreiben Sie einen Gästebucheintrag für -ikarus-

Beiträge: 139
Registriert: 12.02.2007

ACAD 2015,PSP 2011, Showcase 2015, Mudbox 2015
Indesign CC, Illustrator CC, Photoshop CC, After Effects CC, Premiere Pro CC, Edge Animate CC, Acrobat DC Pro mit PitStop Pro,
Visual Studio 2013
Notepad++
Rechner: HP Z620 Workstation
NVIDIA Quadro K4000

erstellt am: 05. Dez. 2018 10:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Harry Plotter 10 Unities + Antwort hilfreich

Hallo,

du hast bei (A2A) das (A2A-2018) vergessen, denke ich mal.

Gruß Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Harry Plotter
Mitglied



Sehen Sie sich das Profil von Harry Plotter an!   Senden Sie eine Private Message an Harry Plotter  Schreiben Sie einen Gästebucheintrag für Harry Plotter

Beiträge: 505
Registriert: 12.12.2003

Windows 8 64bit
Architecture 2019

erstellt am: 05. Dez. 2018 15:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jürgen, ja das (ACA-2018) war der entscheidende Hinweis, danke!
command-s musste ich nicht einfügen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz